.wc-block-cart {
    table.wc-block-cart-items {
        thead {
            margin-bottom: 20px;
            .wc-block-cart-items__header {
                th {
                    padding: 18px 28px 17px;
                    font-size: 15px;
                    text-transform: uppercase;

                    &:last-child {
                        border-top-right-radius: 4px;
                        border-bottom-right-radius: 4px;
                        padding-right: 60px;
                    }

                    &:first-child {
                        border-top-left-radius: 4px;
                        border-bottom-left-radius: 4px;
                    }
                }
            }
        }
    }

    table.wc-block-cart-items,
    .editor-styles-wrapper table.wc-block-cart-items {
        thead .wc-block-cart-items__header {            
            .wc-block-cart-items__header-product {
                visibility: visible;
                span  {
                    display: none;
                }
            }
        }

        .wc-block-cart-items__row {
            td {
                padding-top: 20px;
                padding-bottom: 20px;
            }

            &:first-child td {
                border-top: 0px;
            }

            .wc-block-cart-item__product {
                padding-left: 0;
            }

            .wc-block-cart-item__image img {
                max-width: 100px;
                height: 100px;
                object-fit: cover;
                aspect-ratio: 1/1;
            }

            .wc-block-cart-item__wrap {
                .wc-block-components-product-name {
                    display: block;
                    font-size: 15px;
                    font-weight: 400;
                    line-height: 26px;
                    margin-bottom: 0;
                    max-width: max-content;
                }

                .wc-block-components-product-metadata {
                    margin-bottom: 0.75em;
                    
                    .wc-block-components-product-metadata__description {
                        p {
                          display: -webkit-box;
                            -webkit-line-clamp: 1;
                            -webkit-box-orient: vertical;
                            overflow: hidden;
                        }
                    }
                }

                .wc-block-cart-item__quantity {
                    align-items: center;
                    display: flex;
                    flex-direction: row;
                    gap: 12px;
                    width: 130px;

                    .wc-block-components-quantity-selector {
                        display: flex;
                        padding: 10px;
                        border-radius: 120px;
                        align-items: center;
                        width: 100%;
                        border-color: var(--wp--preset--color--gray-100);


                        input.wc-block-components-quantity-selector__input {
                            font-size: 15px;
                            line-height: 26px;
                            font-weight: 400;
                            padding: 0;
                            border-radius: 0;
                            border-left-width: 0;
                            border-right-width: 0;                            
                        }
            
                        button {
                            font-size: 0;
                            border-width: 0;
                            background: rgba(32, 32, 37, 0.05);
                            cursor: pointer;
                            width: 30px;
                            height: 30px;
                            border-radius: 50px;
                            opacity: 1;
                            &:hover {
                                background: rgba(32, 32, 37, 0.15);
                            }
                        }

                         .wc-block-components-quantity-selector__button--plus::before {
                            content: "";
                            display: block;
                            width: 7px;
                            height: 7px;
                            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='7' height='7' viewBox='0 0 7 7' fill='none'%3E%3Cpath d='M0 3.795V2.73H2.865V0H3.99V2.73H6.855V3.795H3.99V6.54H2.865V3.795H0Z' fill='%234A4F56'/%3E%3C/svg%3E");
                            background-repeat: no-repeat;
                            background-size: contain;
                            margin: auto;
                            transition: all 0.2s ease;
                        }

                        

                        .wc-block-components-quantity-selector__button--minus::before {
                            content: "";
                            display: block;
                            width: 6px;
                            height: 2px;
                            background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='6' height='2' viewBox='0 0 6 2' fill='none'%3E%3Cpath d='M0 1.065V0H5.94V1.065H0Z' fill='%234A4F56'/%3E%3C/svg%3E");
                            background-repeat: no-repeat;
                            background-size: contain;
                            margin: auto;
                            transition: all 0.2s ease;                            
                        }
                    }
                }
            }

            .wc-block-cart-item__total {
                font-size: var(--wp--preset--font-size--small, 14px);
                line-height: 1.8;
                text-align: right;
            }    
        }
    }

    .editor-styles-wrapper table.wc-block-cart-items {
        thead .wc-block-cart-items__header {
            th {
                &:first-child {
                    border-top-left-radius: 4px;
                    border-bottom-left-radius: 4px;
                }

                &:last-child {
                    border-top-right-radius: 4px;
                    border-bottom-right-radius: 4px;
                    padding-right: 30px;
                }
            }
        }
    }

    .wc-block-cart__sidebar {
        .wp-block-woocommerce-cart-order-summary-block {
            border: 0;
        }

        .wc-block-components-totals-coupon__form {
            display: flex;
            flex-wrap: wrap;
            gap: 8px;
            margin-bottom: 0;
            width: 100%;

            input[type="text"],
            button[type="submit"] {
                height: 45px;
                padding-top: 10px;
                padding-bottom: 10px;
            }

            .wc-block-components-text-input {
                label {
                    transform: translateY(-62%);
                    font-size: 15px;
                    line-height: 26px;
                }
                &.is-active {
                    label {
                        transform: translateY(-19px) scale(0.875);
                    }
                    input {
                        padding-left: 20px;
                        font-size: 14px;
                    }
                }
                input:focus {
                   box-shadow: none;
                }
            }
        }

        .wc-block-components-totals-item {
            gap: 0;
        }

        .wc-block-components-totals-footer-item {
            .wc-block-components-totals-item__value,
            .wc-block-components-totals-item__label {
                font-size: 17px;
                font-weight: 500;
                line-height: 32px;
            }
        }
    }
}

.wc-block-cart-item__total .price.wc-block-components-product-price {
    margin-bottom: 0;
    font-size: 15px;
    font-weight: 400;
    color: var(--wp--preset--color--Contrast);
}

.wc-block-cart-item__prices .price.wc-block-components-product-price {
    display: flex;
    align-items: center;
    gap: 7px;
    justify-content: flex-end;
    color: var(--wp--preset--color--Contrast);
    font-size: 15px;
    font-weight: 400;
    margin-bottom: 0;
}

@media (width >= 64rem) {
    .wc-block-components-sidebar-layout {
        display: grid;
        grid-template-columns: 1fr minmax(min(400px, 35%), 400px);
        column-gap: 76px;

        .wc-block-components-main {
            width: 100%;
            padding: 0;
        }
    }

    .wc-block-cart .wp-block-woocommerce-cart-order-summary-block {
        margin-bottom: 0;
        border-bottom: 0;
        font-size: 15px;
        font-weight: 400;
        line-height: 26px;
    }

    .wc-block-cart .wc-block-cart__totals-title {
        font-size: 18px;
        text-align: left;
        text-transform: uppercase;
        line-height: 24px;
        font-weight: 500;
        padding: 0 0 9px 0;
    }

    .wc-block-components-totals-wrapper {
        padding: 13px 0;
        border-color: var(--wp--preset--color--gray-100);

        &.wp-block-woocommerce-cart-order-summary-coupon-form-block {
            border: none;
        }
    }

    .wp-block-woocommerce-cart-order-summary-totals-block {
        padding: 0;
        border: none;

        .wc-block-components-totals-wrapper {
            padding: 13px 0;
            border-top: 1px solid var(--wp--preset--color--gray-100);
        }
    }

    .wc-block-components-sidebar {
        width: 100%;
        padding: 34px 40px 40px;
        border-radius: 4px;
        border: 1px solid var(--wp--preset--color--gray-100);
        align-self: flex-start;
    
        .wc-block-cart__submit {
            margin-top: 10px;
            margin-bottom: 0;
        }
    }
}

@media (width >= 88rem) {
    .wc-block-cart-item__wrap {
        > *:first-child {
            grid-column: 1;
            grid-row: 1;
        }

        > *:nth-child(2) {
            grid-column: 2;
            grid-row: 1 / span 2;
        }

        > *:nth-child(3) {
            grid-column: 1;
            grid-row: 2;
        }

        > *:nth-child(4) {
            grid-column: 3;
            grid-row: 1 / span 2;
        }
    }

    table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__wrap,
    .editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__wrap {
        display: grid;
        grid-template-columns: 210px 1fr 110px;
        grid-template-rows: auto auto;
        gap: 5px 0;
        align-items: center;
    }

    .wc-block-components-product-name {
        max-width: 290px;
    }

    .wc-block-cart-item__image {
        a {
            display: flex;
        }
    }

    table.wc-block-cart-items,
    .editor-styles-wrapper table.wc-block-cart-items {
        thead {
            display: table;
            width: 100%;

            .wc-block-cart-items__header {
                font-size: 17px;
                line-height: 26px;
                text-transform: capitalize;
                background-color: rgba(32, 32, 37, 0.05);
            }

            th {
                padding: 4px 30px;
            }

            .wc-block-cart-items__header-total {
                padding-right: 30px;
            }
        }

        tbody {
            display: table;
            width: 100%;
        }

        td {
            padding: 30px 0;
            vertical-align: middle;
        }

        .wc-block-cart-item__quantity .wc-block-cart-item__remove-link {
            position: absolute;
            left: -7px;
            width: 20px;
            height: 20px;
            min-width: 20px;
            padding: 0;
            border: 1px solid #ececec;
            border-radius: 120px;
            display: flex;
            align-items: center;
            justify-content: center;
            background: transparent;

            &::after {
                content: "";
                display: inline-block;
                width: 6px;
                height: 6px;
                background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='6' height='6' viewBox='0 0 6 6' fill='none'%3E%3Cpath d='M0 0.550454L0.396248 0.1612L5.94371 5.61075L5.54747 6L0 0.550454Z' fill='%23202025'/%3E%3Cpath d='M5.60375 0L6 0.389253L0.452534 5.8388L0.0562868 5.44955L5.60375 0Z' fill='%23202025'/%3E%3C/svg%3E");
                background-repeat: no-repeat;
                background-size: contain;
                background-position: center;
            }

            svg {
                display: none;
            }
        }

        .wc-block-cart-item__image {
            padding-left: 28px;
            padding-right: 15px;
            width: 100px;

            img {
                width: 100px;
            }
        }

        .wc-block-cart-item__prices {
            padding-left: 58px;
        }

        .wc-block-cart-item__product {
            padding-left: 0;
            padding-right: 20px;
        }

        .wc-block-cart-item__total {
            display: table-cell;
            padding-left: 60px;
            padding-right: 60px;
        }
    }

    .wc-block-cart-item__total-price-and-sale-badge-wrapper {
        position: relative;

        .wc-block-components-product-badge {
            float: right;
        }
    }
}
